package com.yahoo.messenger.android.diagnostics;

import com.yahoo.mobile.client.share.logging.*;

/**
 * 
 * This class concretizes the abstract crosscut in Trace, applying the trace
 * facility to these application classes.
 * 
 */
public aspect LogService extends LogServiceBase
{
	protected pointcut myClass(Object obj): this(obj) && !within(LogService) && (within(com.yahoo.mobile.client.android..*) || within(com.yahoo.messenger.android..*) || within(com.yahoo.mobile.client.share..*));
}
